OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Mask< LOG2DIM >::DenseIterator Class Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for Mask< LOG2DIM >::DenseIterator:

## Public Member Functions
| DenseIterator (uint32_t pos=Mask::SIZE)
DenseIterator & | operator= (const DenseIterator &)=default
uint32_t | operator* () const
uint32_t | pos () const
| operator bool () const
DenseIterator & | operator++ ()
DenseIterator | operator++ (int)

## Constructor & Destructor Documentation

## ◆ DenseIterator()

template<uint32_t LOG2DIM>

DenseIterator | ( | uint32_t | pos = `Mask::SIZE` | ) |
| inline

## Member Function Documentation

## ◆ operator bool()

template<uint32_t LOG2DIM>

operator bool | ( |  | ) | const
| inline

## ◆ operator*()

template<uint32_t LOG2DIM>

uint32_t operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template<uint32_t LOG2DIM>

DenseIterator & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<uint32_t LOG2DIM>

DenseIterator operator++ | ( | int |  | ) |
| inline

## ◆ operator=()

template<uint32_t LOG2DIM>

DenseIterator & operator= | ( | const DenseIterator & |  | ) |
| default

## ◆ pos()

template<uint32_t LOG2DIM>

uint32_t pos | ( |  | ) | const
| inline